@import url('https://fonts.googleapis.com/css2?family=Alegreya+Sans:wght@400;600;700&display=swap');

html {
    font-size: 14px;
    position: relative;
    min-height: 100%;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

body {
    margin-bottom: 60px;
    padding: 20px 0 75px 0;
    background-color: #F3F3F3;
    color: white;
}

h1 {
    font-family: "Alegreya Sans", sans-serif;
    font-size: 40px;
    color: #005984;
}

h3 {
    font-family: "Alegreya Sans", sans-serif;
    font-size: 20px;
    color: white;
    position: relative; /* Make the heading relatively positioned */
}


.btn:focus {
    outline: none !important;
    box-shadow: none !important;
}

.btn-primary {
    font-family: "Alegreya Sans", sans-serif;
    color: #FFFFFF;
    background-color: #005984;
    border-color: #C1C1C1;
}

    .btn-primary:focus,
    .btn-primary:hover {
        font-family: "Alegreya Sans", sans-serif;
        color: #FFFFFF;
        background-color: #004c71;
        border-color: #C1C1C1;
    }

.btn-secondary {
    font-family: "Alegreya Sans", sans-serif;
    color: #005984;
    background-color: #F3F3F3;
    border-color: #005984;
}

    .btn-secondary:focus,
    .btn-secondary:hover {
        font-family: "Alegreya Sans", sans-serif;
        color: #005984;
        background-color: #E0E0E0;
        border-color: #005984;
    }

.btn {
    font-weight: 400;
}

.back-link {
    font-family: "Alegreya Sans", sans-serif;
    font-size: 17px;
    color: #005984;
    text-decoration: none;
}

    .back-link:hover {
        color: #005984; /* annan färg vid hover */
        text-decoration: underline;
    }

.card-body {
    color: black;
}

.activelogin-bankid-ui--header {
    font-family: "Alegreya Sans", sans-serif;
    font-size: 25px !important;
    color: #005984 !important;
    margin-bottom: 20px !important;
}

.activelogin-bankid-ui--cancel-button {
    color: #005984 !important;
    background-color: #F3F3F3 !important;
    border-color: #C1C1C1 !important;
    font-size: 15px !important;
}

    .activelogin-bankid-ui--cancel-button:hover {
        color: #005984 !important;
        background-color: #E0E0E0 !important;
        border-color: #005984 !important;
        font-size: 15px !important;
    }


.choose-provider {
    width: 100%;
    max-width: 320px;
    margin: 0 auto;
    text-align: center;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

    .choose-provider a {
        text-align: center;
    }

    .choose-provider .choose-provider-logo {
        width: 133px;
        height: 133px;
    }
